Create a project
POST /project
Authorizations
Request Body
New project
object
object
The slug of a project, used for vanity URLs. Regex: ^[\w!@$()`.+,"\-']{3,64}$
my_projectThe title or name of the project
A short sentence summarizing the project, no more than a sentence or two.
A long form description of the project
A long body describing my project in detailA list of the featured categories that the project has.
[ "technology", "adventure", "fabric"]A list of additional categories that the project also has. These are supplementary to the featured categories, and does not include them again.
[ "technology", "adventure", "fabric"]The status of the project
approvedThe requested status when submitting for review or scheduling the project for release. Approved status refers to “Public” visibility.
An optional link to where to submit bugs or issues with the project
https://github.com/modrinth/code/issuesAn optional link to the source code of the project
https://github.com/modrinth/codeAn optional link to the project’s wiki page or other relevant information
https://github.com/modrinth/code/wikiAn optional invite link to the project’s discord.
https://discord.gg/modrinthA list of donation links for the project
object
The ID of the donation platform
patreonThe donation platform this link is to
PatreonThe URL of the donation platform and user
https://www.patreon.com/my_userDeprecated - use environment instead.
requiredDeprecated - use environment instead.
optionalThe SPDX license ID of a project
LGPL-3.0-or-laterThe URL to this license
The project type of the project
modpackA list of initial versions to upload with the created project. Deprecated - please upload version files after initial upload.
object
The name of this version
Version 1.0.0The version number. Ideally will follow semantic versioning
1.0.0The changelog for this version
List of changes in this version: ...A list of specific versions of projects that this version depends on
object
The ID of the version that this version depends on
IIJJKKLLThe ID of the project that this version depends on
QQRRSSTTThe file name of the dependency, mostly used for showing external dependencies on modpacks
sodium-fabric-mc1.19-0.4.2+build.16.jarThe type of dependency that this version has
requiredA list of versions of Minecraft that this version supports
[ "1.16.5", "1.17.1"]The release channel for this version
releaseThe mod loaders that this version supports. In case of resource packs, use “minecraft”
[ "fabric", "forge", "minecraft"]Whether the version is featured or not
truelistedThe hash format and the hash of the new primary file
[ "sha1", "aaaabbbbccccddddeeeeffffgggghhhhiiiijjjj"]A list of file_types to edit
object
The hash algorithm of the hash specified in the hash field
sha1The hash of the file you’re editing
aaaabbbbccccddddeeeeffffgggghhhhiiiijjjjWhether the project should be saved as a draft instead of being sent to moderation for review. Deprecated - please always mark this as true.
trueGallery images to be uploaded with the created project. Deprecated - please upload gallery images after initial upload.
object
The name of the multipart item where the gallery media is located
Whether the image is featured in the gallery
trueThe title of the gallery image
My awesome screenshot!The description of the gallery image
This awesome screenshot shows all of the blocks in my mod!The order of the gallery image. Gallery images are sorted by this field and then alphabetically by title.
Project icon file
Responses
200
Expected response to a valid request
object
The ID of the project, encoded as a base62 string
AABBCCDDThe ID of the team that has ownership of this project
MMNNOOPPThe title or name of the project
A short sentence summarizing the project, no more than a sentence or two.
A long form description of the project
A long body describing my project in detailThe status of the project
approvedThe project type of the project
modA list of the featured categories that the project has.
[ "technology", "adventure", "fabric"]A list of additional categories that the project also has. These are supplementary to the featured categories, and does not include them again.
[ "technology", "adventure", "fabric"]All the environments that versions of this project support. Not in any particular order, we recommend using the environment information on a version instead. For an explanation of each environment, see the blog post here: https://modrinth.com/news/article/new-environments/#new-system
[ "client_and_server"]A list of all of the game versions supported by the project
[ "1.19", "1.19.1", "1.19.2", "1.19.3"]A list of all of the loaders supported by the project. These vary based on project type.
[ "neoforge", "fabric"]A list of the version IDs of the project
[ "IIJJKKLL", "QQRRSSTT"]The license of the project
object
The SPDX license ID of a project
LGPL-3.0-or-laterThe long name of a license
GNU Lesser General Public License v3 or laterThe URL to this license
The date the project was created
The date the latest version of the project was created
The total number of downloads of the project
The total number of users following the project
A list of images that have been uploaded to the project’s gallery
object
The URL of the gallery image
https://cdn.modrinth.com/data/AABBCCDD/images/009b7d8d6e8bf04968a29421117c59b3efe2351a.pngWhether the image is featured in the gallery
trueThe title of the gallery image
My awesome screenshot!The description of the gallery image
This awesome screenshot shows all of the blocks in my mod!The date and time the gallery image was created
The order of the gallery image. Gallery images are sorted by this field and then alphabetically by title.
The ID of the moderation thread associated with this project
TTUUVVWWThe slug of a project, used for vanity URLs. Regex: ^[\w!@$()`.+,"\-']{3,64}$
my_projectThe ID of the organization that owns this project
AABBCCDDThe requested status when submitting for review or scheduling the project for release. Approved status refers to “Public” visibility.
The date the project was first published
The date the project’s status was submitted to moderators for review
The URL of the project’s icon
https://cdn.modrinth.com/data/AABBCCDD/b46513nd83hb4792a9a0e1fn28fgi6090c1842639.pngThe URL of the project’s icon without CDN transforms applied
https://cdn.modrinth.com/data/AABBCCDD/b46513nd83hb4792a9a0e1fn28fgi6090c1842639-raw.pngThe RGB color of the project, automatically generated from the project icon
8703084An optional link to where to submit bugs or issues with the project
https://github.com/modrinth/code/issuesAn optional link to the source code of the project
https://github.com/modrinth/codeAn optional link to the project’s wiki page or other relevant information
https://github.com/modrinth/code/wikiAn optional invite link to the project’s discord.
https://discord.gg/modrinthA list of donation links for the project
object
The ID of the donation platform
patreonThe donation platform this link is to
PatreonThe URL of the donation platform and user
https://www.patreon.com/my_userDeprecated - use environment instead.
requiredDeprecated - use environment instead.
optionalDeprecated - The link to the long description of the project. Always null, only kept for legacy compatibility.
Deprecated - A message that a moderator sent regarding the project
object
The message that a moderator has left for the project
The longer body of the message that a moderator has left for the project
400
Request was invalid, see given error
object
The name of the error
invalid_inputThe contents of the error
Error while parsing multipart payload401
Incorrect token scopes or no authorization to access the requested item(s)
object
The name of the error
unauthorizedThe contents of the error
Authentication Error: Invalid Authentication Credentials